package Marathon;

/**
 * Marathon3 - a simple class to calculate the distance of a marathon in kilometers
 * Uses defined constants, and prints the output to three decimal places.
 */

// import the NumberFormat class into our program since we want to control the 
// appearance of the formatted output
import java.text.NumberFormat;

class Marathon3 {

  /**
   * Main method called when we invoke the interpreter
   */
  public static void main(String[] args) {
    // Declare constants to use in the calculation:
    // final variables cannot be changed once they have been initialised
    final int miles = 26;
    final int yards = 385;
    final double kilometersPerMile = 1.609;
    final double yardsPerMile = 1760.0;

    double kilometers;

    // TO DO:
    // Write an expression to calculate kilometers from miles and yards.
    // Save the result of the expression in the variable kilometers.
    // One mile is 1.609 kilometers
    // There are 1760.0 yards in a mile
    kilometers = kilometersPerMile * (miles + (yards / yardsPerMile));

    // Print the answer, to three decimal places
    // Get a number formatter
    NumberFormat numberFormatter = NumberFormat.getNumberInstance();
    // Tell it to use three decimal places
    numberFormatter.setMaximumFractionDigits(3);
    // Format the number
    String strKilometers = numberFormatter.format(kilometers);
    // Print the answer
    System.out.println("A marathon is " + strKilometers + " kilometers.");

  }  // end of main method

} // end of marathon class